Subject: Offline Message from Edwin Dulaney: I got an eb7 from a friend. He lost the k
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 02 Jul 2022 15:52:13 -0000

From: Edwin Dulaney <[email-masked]>
Phone: 3049078668
Location: Wheeling, United States
URL: https://swagtron.com/product/swagtron-eb-7-swagcycle-long-range-ebike/
Department: SwagTron

I got an eb7 from a friend. He lost the keys for the battery and the handle bar controls work but screen is busted.  It still works but im trying to get a new battery put in and I want to put new controls on it but can't find it on your site 

----
Zopim
https://www.zopim.com